Cart Naz. Servizi (chip Actalis) lettore digicom scr-01 -

Riconoscimento, installazione e configurazione delle periferiche.
mattexxx
Prode Principiante
Messaggi: 11
Iscrizione: sabato 23 settembre 2017, 16:03
Desktop: Lubuntu
Distribuzione: Ubuntu 16.04.3 LTS x86_64

Cart Naz. Servizi (chip Actalis) lettore digicom scr-01 -

Messaggio da mattexxx »

Recentemente ho cambiato la tessera sanitaria, la vecchia che abitualmente usavo per autenticarmi (come carta nazionale dei servizi) su qualche sito della PA (per dire l'INPS ma anche altri) mi è stata sostituita da una del tutto analoga, a quanto pare, munita di chip di diverso produttore: Se la vecchia era "oberthur" l'attuale è Actalis .

Il lettore che uso un digicom scr-01 , i relativi driver scaricati dal sito.

come SO Ubuntu:

Codice: Seleziona tutto

~$ lsb_release -ds && uname -m
Ubuntu 16.04.3 LTS
x86_64
~$ echo $DESKTOP_SESSION
Lubuntu
Ad ogni modo, ho installato il sw che è disponibile nella pagina sopra linkata (zip Actalis), e seguito le istruzioni presenti in quello zip, ci sono dei pacchetti .deb (a seconda dell'architettura x86, piuttosto che x64), che durante l'installazione aggiungono anche il componente a firefox.
Tuttavia, seppur l'utility che si installa (Athena idprotect client) legge la carta, pcsc_scan sembra dare un output positivo, non ne vuole sapere di permettermi il login su firefox (55.0.2):
dopo aver inserito il pin, e confermato il certificato proposto piuttosto rapidamente, il lettore continua a lampeggiare molto a lungo per poi terminare con un messaggio di firefox che dice che "un modulo PKCS#11 ha restituito il valore CKR_DEVICE_ERROR: questo significa che si è verificato un errore con il token o con lo slot, codice d'errore SEC_ERROR_PKCS11_DEVICE_ERROR"
Ho provato a disattivare plugin a firefox (noscript ec..)


Alternativamente alla configurazione basata sul software Actalis, ho provato anche quella basata su OpenSc, ma senza differenze, il comportamento è analogo.
Con questa configurazione ho provato anche Chromium come alternativa a firefox, risultato analogo.

Ho già letto post analoghi,e non sò più che pesci prendere, se avete dei suggerimenti..
Allegati
Messaggio di firefox dopo lungo lavoro lettore
Messaggio di firefox dopo lungo lavoro lettore
Avatar utente
magozurlinux
Accecante Asceta
Accecante Asceta
Messaggi: 22147
Iscrizione: mercoledì 17 marzo 2010, 17:44
Desktop: Xubuntu
Distribuzione: Ubuntu 20.04 LTS x86_64
Località: Pisa

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da magozurlinux »

Ciao e benvenuto sul forum.

Hai messo il percorso del modulo certificato pkcs#11 in Firefox?

Hai provato ad avviare proma firefox e poi inserire la tessera sanitaria?

Da terminale postami questi comandi:

Codice: Seleziona tutto

locate opensc-pkcs11.so
questo con il lettore digicom src-01 inserito:

Codice: Seleziona tutto

lsusb

Codice: Seleziona tutto

dmesg | grep usb
Xubuntu 20.04 LTS amd64 :ciao:
mattexxx
Prode Principiante
Messaggi: 11
Iscrizione: sabato 23 settembre 2017, 16:03
Desktop: Lubuntu
Distribuzione: Ubuntu 16.04.3 LTS x86_64

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da mattexxx »

magozurlinux [url=https://forum.ubuntu-it.org/viewtopic.php?p=5009965#p5009965][img]https://forum.ubuntu-it.org/images/icons/icona-cita.gif[/img][/url] ha scritto:Ciao e benvenuto sul forum.

Hai messo il percorso del modulo certificato pkcs#11 in Firefox?

Hai provato ad avviare proma firefox e poi inserire la tessera sanitaria?
Sì, ho impostato il percorso del modulo, con la soluzione opensc l'ho messo manualmente, mentre con la soluzione proprietaria, durante l'installazione del pacchetto .deb in firefox viene impostato su libASEP11.so
praticamente sembra (con entrambe le alternative funzionare) mi chiede il pin, lo accetta e fa vedere il mio certificato, do ok ma rimane piantato.. :| anche inserendo dopo la scheda.
Da terminale postami questi comandi:

Codice: Seleziona tutto

locate opensc-pkcs11.so
tipicamente imposto quello in /usr/lib/x86_64 (i primi risultati, in "scaricati" sono dovuti al fatto che ho provato a scaricare e compilare la versione più recente..)

Codice: Seleziona tutto

~$ locate opensc-pkcs11.so
/home/mtt/Scaricati/opensc-pkcs11.so
/home/mtt/Scaricati/opensc-0.17.0/src/pkcs11/.libs/onepin-opensc-pkcs11.so
/home/mtt/Scaricati/opensc-0.17.0/src/pkcs11/.libs/onepin-opensc-pkcs11.soT
/home/mtt/Scaricati/opensc-0.17.0/src/pkcs11/.libs/opensc-pkcs11.so
/home/mtt/Scaricati/opensc-0.17.0/src/pkcs11/.libs/opensc-pkcs11.soT
/usr/lib/onepin-opensc-pkcs11.so
/usr/lib/opensc-pkcs11.so
/usr/lib/pkcs11/onepin-opensc-pkcs11.so
/usr/lib/pkcs11/opensc-pkcs11.so
/usr/lib/x86_64-linux-gnu/onepin-opensc-pkcs11.so
/usr/lib/x86_64-linux-gnu/opensc-pkcs11.so
/usr/lib/x86_64-linux-gnu/pkcs11/onepin-opensc-pkcs11.so
/usr/lib/x86_64-linux-gnu/pkcs11/opensc-pkcs11.so
questo con il lettore digicom src-01 inserito:

Codice: Seleziona tutto

lsusb
lsusb

Codice: Seleziona tutto

lsusb
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 003: ID 046d:c534 Logitech, Inc. Unifying Receiver
Bus 001 Device 008: ID 0ca6:0010 Castles Technology Co., Ltd EZUSB PC/SC Smart Card Reader
Bus 001 Device 004: ID 13d3:3327 IMC Networks 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Codice: Seleziona tutto

dmesg | grep usb
Dmesg

Codice: Seleziona tutto

~$ dmesg | grep usb
[    0.204849] usbcore: registered new interface driver usbfs
[    0.204857] usbcore: registered new interface driver hub
[    0.204869] usbcore: registered new device driver usb
[    0.872073] usb usb1: New USB device found, idVendor=1d6b, idProduct=0002
[    0.872075] usb usb1: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.872076] usb usb1: Product: xHCI Host Controller
[    0.872077] usb usb1: Manufacturer: Linux 4.4.0-93-generic xhci-hcd
[    0.872078] usb usb1: SerialNumber: 0000:00:14.0
[    0.879909] usb usb2: New USB device found, idVendor=1d6b, idProduct=0003
[    0.879910] usb usb2: New USB device strings: Mfr=3, Product=2, SerialNumber=1
[    0.879911] usb usb2: Product: xHCI Host Controller
[    0.879912] usb usb2: Manufacturer: Linux 4.4.0-93-generic xhci-hcd
[    0.879913] usb usb2: SerialNumber: 0000:00:14.0
[    1.189386] usb 1-7: new full-speed USB device number 2 using xhci_hcd
[    1.321845] usb 1-7: New USB device found, idVendor=0ca6, idProduct=0010
[    1.321847] usb 1-7: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    1.321861] usb 1-7: Product: EZ100PU Smart Card Reader
[    1.321862] usb 1-7: Manufacturer: CASTLES
[    1.489379] usb 1-8: new full-speed USB device number 3 using xhci_hcd
[    1.619929] usb 1-8: New USB device found, idVendor=046d, idProduct=c534
[    1.619931] usb 1-8: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[    1.619932] usb 1-8: Product: USB Receiver
[    1.619933] usb 1-8: Manufacturer: Logitech
[    1.625549] usbcore: registered new interface driver usbhid
[    1.625550] usbhid: USB HID core driver
[    1.627250] input: Logitech USB Receiver as /devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.0/0003:046D:C534.0001/input/input7
[    1.681676] hid-generic 0003:046D:C534.0001: input,hidraw0: USB HID v1.11 Keyboard [Logitech USB Receiver] on usb-0000:00:14.0-8/input0
[    1.681891] input: Logitech USB Receiver as /devices/pci0000:00/0000:00:14.0/usb1/1-8/1-8:1.1/0003:046D:C534.0002/input/input8
[    1.738079] hid-generic 0003:046D:C534.0002: input,hiddev0,hidraw1: USB HID v1.11 Mouse [Logitech USB Receiver] on usb-0000:00:14.0-8/input1
[    1.785449] usb 1-10: new high-speed USB device number 4 using xhci_hcd
[    1.986103] usb 1-10: New USB device found, idVendor=13d3, idProduct=3327
[    1.986105] usb 1-10: New USB device strings: Mfr=16, Product=32, SerialNumber=48
[    1.986106] usb 1-10: Product: UB93
[    1.986107] usb 1-10: Manufacturer: ATHEROS
[    1.986108] usb 1-10: SerialNumber: 12345
[    4.044595] usb 1-10: ath9k_htc: Firmware ath9k_htc/htc_9271-1.4.0.fw requested
[    4.044624] usbcore: registered new interface driver ath9k_htc
[    4.330936] usb 1-10: ath9k_htc: Transferred FW: ath9k_htc/htc_9271-1.4.0.fw, size: 51008
[  137.774398] usb 1-7: USB disconnect, device number 2
[  275.494653] usb 1-7: new full-speed USB device number 5 using xhci_hcd
[  275.626471] usb 1-7: New USB device found, idVendor=0ca6, idProduct=0010
[  275.626478] usb 1-7: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[  275.626483] usb 1-7: Product: EZ100PU Smart Card Reader
[  275.626487] usb 1-7: Manufacturer: CASTLES
[  344.499216] usb 1-7: USB disconnect, device number 5
[  353.980862] usb 1-7: new full-speed USB device number 6 using xhci_hcd
[  354.112746] usb 1-7: New USB device found, idVendor=0ca6, idProduct=0010
[  354.112754] usb 1-7: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[  354.112758] usb 1-7: Product: EZ100PU Smart Card Reader
[  354.112762] usb 1-7: Manufacturer: CASTLES
[  361.749943] usb 1-7: USB disconnect, device number 6
[  362.740723] usb 1-7: new full-speed USB device number 7 using xhci_hcd
[  362.872536] usb 1-7: New USB device found, idVendor=0ca6, idProduct=0010
[  362.872543] usb 1-7: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[  362.872548] usb 1-7: Product: EZ100PU Smart Card Reader
[  362.872552] usb 1-7: Manufacturer: CASTLES
[ 3134.163527] usb 1-10: reset high-speed USB device number 4 using xhci_hcd
[ 3139.275276] usb 1-10: device descriptor read/64, error -110
[ 3139.861173] usb 1-10: ath9k_htc: Transferred FW: ath9k_htc/htc_9271-1.4.0.fw, size: 51008
[ 3761.960503] usb 1-7: USB disconnect, device number 7
[ 4787.339783] usb 1-7: new full-speed USB device number 8 using xhci_hcd
[ 4787.471748] usb 1-7: New USB device found, idVendor=0ca6, idProduct=0010
[ 4787.471753] usb 1-7: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 4787.471755] usb 1-7: Product: EZ100PU Smart Card Reader
[ 4787.471757] usb 1-7: Manufacturer: CASTLES
Avatar utente
magozurlinux
Accecante Asceta
Accecante Asceta
Messaggi: 22147
Iscrizione: mercoledì 17 marzo 2010, 17:44
Desktop: Xubuntu
Distribuzione: Ubuntu 20.04 LTS x86_64
Località: Pisa

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da magozurlinux »

A me l'ha fatto quando mi è arrivata la nuova tessera sanitaria con Ubuntu 12.04 LTS i686; con la precedente tessera funzionava perfettamente.

Ho installato gli stessi pacchetti sulla 14.04 LTS i686; funziona perfettamente, io ho un altro lettore il bit4ID miniLector EVO, quello venduto dall'USL per pochi euro consigliato da un mio amico.

Controlla da Gestore pacchetti che siano installati questi pacchetti?

Codice: Seleziona tutto

pcscd

pcsc-tools

libccid

libpcsclite1

libpcsclite-dev

libusb-dev
Xubuntu 20.04 LTS amd64 :ciao:
mattexxx
Prode Principiante
Messaggi: 11
Iscrizione: sabato 23 settembre 2017, 16:03
Desktop: Lubuntu
Distribuzione: Ubuntu 16.04.3 LTS x86_64

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da mattexxx »

magozurlinux [url=https://forum.ubuntu-it.org/viewtopic.php?p=5010216#p5010216][img]https://forum.ubuntu-it.org/images/icons/icona-cita.gif[/img][/url] ha scritto:A me l'ha fatto quando mi è arrivata la nuova tessera sanitaria con Ubuntu 12.04 LTS i686; con la precedente tessera funzionava perfettamente.

Ho installato gli stessi pacchetti sulla 14.04 LTS i686; funziona perfettamente, io ho un altro lettore il bit4ID miniLector EVO, quello venduto dall'USL per pochi euro consigliato da un mio amico.

Controlla da Gestore pacchetti che siano installati questi pacchetti?

Codice: Seleziona tutto

pcscd

pcsc-tools

libccid

libpcsclite1

libpcsclite-dev

libusb-dev
Rispetto al link che spiega come riconoscere il tipo di chip, la nuova carta che stai usando che chip monta (Actalis?)

Ma, mi sembra ci siano, ho controllato anche con il gestore pacchetti..

Codice: Seleziona tutto

sudo apt list pcscd pcsc-tools libccid libpcsclite1 libpcsclite-dev libusb-dev
Elencazione... Fatto
libccid/xenial-updates,now 1.4.22-1ubuntu0.1 amd64 [installato]
libpcsclite-dev/xenial-updates,xenial-security,now 1.8.14-1ubuntu1.16.04.1 amd64 [installato]
libpcsclite1/xenial-updates,xenial-security,now 1.8.14-1ubuntu1.16.04.1 amd64 [installato, automatico]
libusb-dev/xenial,now 2:0.1.12-28 amd64 [installato]
pcsc-tools/xenial,now 1.4.25-1 amd64 [installato]
pcscd/xenial-updates,xenial-security,now 1.8.14-1ubuntu1.16.04.1 amd64 [installato]
Avatar utente
magozurlinux
Accecante Asceta
Accecante Asceta
Messaggi: 22147
Iscrizione: mercoledì 17 marzo 2010, 17:44
Desktop: Xubuntu
Distribuzione: Ubuntu 20.04 LTS x86_64
Località: Pisa

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da magozurlinux »

La mia tessera sanitaria ha chip Actalis; sull'angolo a sinistra della tessera c'è scritto AC 2014.
Xubuntu 20.04 LTS amd64 :ciao:
mattexxx
Prode Principiante
Messaggi: 11
Iscrizione: sabato 23 settembre 2017, 16:03
Desktop: Lubuntu
Distribuzione: Ubuntu 16.04.3 LTS x86_64

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da mattexxx »

magozurlinux [url=https://forum.ubuntu-it.org/viewtopic.php?p=5010287#p5010287][img]https://forum.ubuntu-it.org/images/icons/icona-cita.gif[/img][/url] ha scritto:La mia tessera sanitaria ha chip Actalis; sull'angolo a sinistra della tessera c'è scritto AC 2014.
Uhm, sono tentato di provare con il tuo lettore, solo non riesco a capire se funziona su un linux a 64bit..
Avatar utente
magozurlinux
Accecante Asceta
Accecante Asceta
Messaggi: 22147
Iscrizione: mercoledì 17 marzo 2010, 17:44
Desktop: Xubuntu
Distribuzione: Ubuntu 20.04 LTS x86_64
Località: Pisa

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da magozurlinux »

Il mio amico ha Kubuntu 16.04 LTS 64bit ed ha installato il lettore bit4ID come il mio; gli funziona perfettamente.
Xubuntu 20.04 LTS amd64 :ciao:
mattexxx
Prode Principiante
Messaggi: 11
Iscrizione: sabato 23 settembre 2017, 16:03
Desktop: Lubuntu
Distribuzione: Ubuntu 16.04.3 LTS x86_64

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da mattexxx »

magozurlinux [url=https://forum.ubuntu-it.org/viewtopic.php?p=5010304#p5010304][img]https://forum.ubuntu-it.org/images/icons/icona-cita.gif[/img][/url] ha scritto:Il mio amico ha Kubuntu 16.04 LTS 64bit ed ha installato il lettore bit4ID come il mio; gli funziona perfettamente.
devo dire che ho fatto numerose prove ma anche se sembra tutto bene installato si pianta.
Oggi per caso ho ritrovato un netbook con un win sopra, ho provato con la soluzione proprietaria e son riuscito a loggarmi..
Avatar utente
magozurlinux
Accecante Asceta
Accecante Asceta
Messaggi: 22147
Iscrizione: mercoledì 17 marzo 2010, 17:44
Desktop: Xubuntu
Distribuzione: Ubuntu 20.04 LTS x86_64
Località: Pisa

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da magozurlinux »

Con Windows 7 non mi ha funzionato, mi ha dato errore durante l'installazione dell'applicazione e driver per il lettore.

Da Ubuntu:

Avvia Firefox, clicca in alto su Modifica > Preferenze > Avanzate > Certificati, poi clicca su Mostra certificati > Autorità; posta la schermata sui certificati relativi al lettore di smartcard.

Metti pure l'output dei Dispositivi di sicurezza.
Xubuntu 20.04 LTS amd64 :ciao:
mattexxx
Prode Principiante
Messaggi: 11
Iscrizione: sabato 23 settembre 2017, 16:03
Desktop: Lubuntu
Distribuzione: Ubuntu 16.04.3 LTS x86_64

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da mattexxx »

magozurlinux [url=https://forum.ubuntu-it.org/viewtopic.php?p=5010387#p5010387][img]https://forum.ubuntu-it.org/images/icons/icona-cita.gif[/img][/url] ha scritto:Con Windows 7 non mi ha funzionato, mi ha dato errore durante l'installazione dell'applicazione e driver per il lettore.

Da Ubuntu:

Avvia Firefox, clicca in alto su Modifica > Preferenze > Avanzate > Certificati, poi clicca su Mostra certificati > Autorità; posta la schermata sui certificati relativi al lettore di smartcard.

Metti pure l'output dei Dispositivi di sicurezza.
allora dunque, se non ho capito male ci sono due immagini,
riguardo ai certificati relativi all'autorità del lettore di smartcard , quelli di Actalis , tra i vari tentativi c'è stato quello di aggiungerne due presi dal loro sito (evidentemente inutile perchè su win non è stato necessario)
aggiungo che la dicitura "non connesso", se clicco prima sul pulsante "mostra certificati" dove vedo il certificato nella smartcard, metto il pin, diventa "connesso".
Allegati
certificati autorità firefox
certificati autorità firefox
modulo opensc firefox
modulo opensc firefox
Avatar utente
magozurlinux
Accecante Asceta
Accecante Asceta
Messaggi: 22147
Iscrizione: mercoledì 17 marzo 2010, 17:44
Desktop: Xubuntu
Distribuzione: Ubuntu 20.04 LTS x86_64
Località: Pisa

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da magozurlinux »

Questo driver: 8E4479_LinuxEzUsb.tar.gz l'hai installato?

http://www.digicom.it/digisit/driver_li ... CardReader
Xubuntu 20.04 LTS amd64 :ciao:
mattexxx
Prode Principiante
Messaggi: 11
Iscrizione: sabato 23 settembre 2017, 16:03
Desktop: Lubuntu
Distribuzione: Ubuntu 16.04.3 LTS x86_64

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da mattexxx »

Avatar utente
magozurlinux
Accecante Asceta
Accecante Asceta
Messaggi: 22147
Iscrizione: mercoledì 17 marzo 2010, 17:44
Desktop: Xubuntu
Distribuzione: Ubuntu 20.04 LTS x86_64
Località: Pisa

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da magozurlinux »

Dai questi comandi senza inserire al tessera nel lettore:

Avvia Firefox, vai su Certificati > Dispositivi di sicurezza, clicca a destra su Carica, si aprirà una finestra; cancella Nuovo modulo PKCS#11, scrivi CNS Regione ..... (tua Regione) e poi sotto su Nome file modulo inserisci questo percorso:

Codice: Seleziona tutto

/usr/lib/x86_64-linux-gnu/opensc-pkcs11.so
oppure clicca su Sfoglia, clicca su Computer, si aprirà l'elenco delle cartelle di sistema, clicca nelle varie cartelle seguendo il percorso del file modulo opensc-pkcs11.so e lo selezioni dall'elenco, poi clicca su OK.

Chiudi Firefox e rilancialo.

Inserisci la tessera sanitaria; vedi se così funziona.
Xubuntu 20.04 LTS amd64 :ciao:
mattexxx
Prode Principiante
Messaggi: 11
Iscrizione: sabato 23 settembre 2017, 16:03
Desktop: Lubuntu
Distribuzione: Ubuntu 16.04.3 LTS x86_64

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da mattexxx »

magozurlinux [url=https://forum.ubuntu-it.org/viewtopic.php?p=5010576#p5010576][img]https://forum.ubuntu-it.org/images/icons/icona-cita.gif[/img][/url] ha scritto:Dai questi comandi senza inserire al tessera nel lettore:

Avvia Firefox, vai su Certificati > Dispositivi di sicurezza, clicca a destra su Carica, si aprirà una finestra; cancella Nuovo modulo PKCS#11, scrivi CNS Regione ..... (tua Regione) e poi sotto su Nome file modulo inserisci questo percorso:

Codice: Seleziona tutto

/usr/lib/x86_64-linux-gnu/opensc-pkcs11.so
oppure clicca su Sfoglia, clicca su Computer, si aprirà l'elenco delle cartelle di sistema, clicca nelle varie cartelle seguendo il percorso del file modulo opensc-pkcs11.so e lo selezioni dall'elenco, poi clicca su OK.

Chiudi Firefox e rilancialo.

Inserisci la tessera sanitaria; vedi se così funziona.
No, uguale, clicco su login, mi chiede il pin, lo inserisco do ok, mi propone il certificato da inviare, confermo e si impalla ...
Non sò forse è qualche altra libreria, magari disinstallare bene tutto e provare a reinstallare da capo?

curiosità, visto che anche la tua è siglata "ac2014" cosa ti comapre con opensc-tool -nv, come a me (a parte il nome del lettore di smartcard, cambia anche il nome del driver):

Codice: Seleziona tutto

opensc-tool -nv
Using reader with a card: CASTLES EZ100PU 00 00
Connecting to card in reader CASTLES EZ100PU 00 00...
Using card driver Italian CNS.
Card name: CNS card
Avatar utente
magozurlinux
Accecante Asceta
Accecante Asceta
Messaggi: 22147
Iscrizione: mercoledì 17 marzo 2010, 17:44
Desktop: Xubuntu
Distribuzione: Ubuntu 20.04 LTS x86_64
Località: Pisa

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da magozurlinux »

A me da questo:

Codice: Seleziona tutto

opensc-tool -nv
Using reader with a card: ACS ACR 38U-CCID 00 00
Connecting to card in reader ACS ACR 38U-CCID 00 00...
Using card driver Italian CNS.
Card name: CNS card
da terminale postami questo comando:

Codice: Seleziona tutto

locate libaseCnsP11.so
Xubuntu 20.04 LTS amd64 :ciao:
mattexxx
Prode Principiante
Messaggi: 11
Iscrizione: sabato 23 settembre 2017, 16:03
Desktop: Lubuntu
Distribuzione: Ubuntu 16.04.3 LTS x86_64

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da mattexxx »

magozurlinux [url=https://forum.ubuntu-it.org/viewtopic.php?p=5010730#p5010730][img]https://forum.ubuntu-it.org/images/icons/icona-cita.gif[/img][/url] ha scritto:A me da questo:

Codice: Seleziona tutto

opensc-tool -nv
Using reader with a card: ACS ACR 38U-CCID 00 00
Connecting to card in reader ACS ACR 38U-CCID 00 00...
Using card driver Italian CNS.
Card name: CNS card
da terminale postami questo comando:

Codice: Seleziona tutto

locate libaseCnsP11.so

quello è il modulo proprietario, quando installi il loro pacchetto .deb (link dove ci sono i driver actalis nei post precedenti, anche il primo va bene) lo mette a paosto già in firefox, unica cosa si chiama
libASEP11.so, omeglio perchè proprio quello "libaseCnsP11.so" io non lo ho.
Avatar utente
magozurlinux
Accecante Asceta
Accecante Asceta
Messaggi: 22147
Iscrizione: mercoledì 17 marzo 2010, 17:44
Desktop: Xubuntu
Distribuzione: Ubuntu 20.04 LTS x86_64
Località: Pisa

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da magozurlinux »

Da terminale postami questo comando:

Codice: Seleziona tutto

locate libASEP11.so
libaseCnsP11.so è per la Regione Toscana, io abito a Pisa; dove abiti?

libASEP11.so è corretto per la tua regione?
Xubuntu 20.04 LTS amd64 :ciao:
mattexxx
Prode Principiante
Messaggi: 11
Iscrizione: sabato 23 settembre 2017, 16:03
Desktop: Lubuntu
Distribuzione: Ubuntu 16.04.3 LTS x86_64

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da mattexxx »

magozurlinux [url=https://forum.ubuntu-it.org/viewtopic.php?p=5010803#p5010803][img]https://forum.ubuntu-it.org/images/icons/icona-cita.gif[/img][/url] ha scritto:Da terminale postami questo comando:

Codice: Seleziona tutto

locate libASEP11.so
libaseCnsP11.so è per la Regione Toscana, io abito a Pisa; dove abiti?

libASEP11.so è corretto per la tua regione?
mah in realtà, quel modulo, con il nome "libASEP11.so", lo installa il pacchetto .deb o.rpm che si scarica dal sito nazionale, scaricando ovviamente per chip "actalis" e linux. Quindi al di là della regione, peraltro no io non sono in Toscana ma in Piemonte.. .
Ho recuperato quel file (quello per la toscana)e ho provato a configurarlo su firefox, la situazione è peggiore si blocca proprio lampeggiando il lettore appena iserisco la tessera e anche firefox sembra piantato..

Nelle varie prove l'ho installato nelle versioni 64 e 32 bit difatti l'esito del comando, locate è il seguente, anche con questo modulo il comportamento è analogo (cambia un pò la grafica delle finestre che chiedono il pin e ti fanno confermare il certificato, ma si pianta uguale):

Codice: Seleziona tutto

~$ locate libASEP11.so
/home/mtt/test_cns/libASEP11.so
/lib/libASEP11.so
/lib64/libASEP11.so
/usr/lib/x64-athena/libASEP11.so
/usr/lib/x86-athena/libASEP11.so
Avatar utente
magozurlinux
Accecante Asceta
Accecante Asceta
Messaggi: 22147
Iscrizione: mercoledì 17 marzo 2010, 17:44
Desktop: Xubuntu
Distribuzione: Ubuntu 20.04 LTS x86_64
Località: Pisa

Re: Cart Naz. Servizi (chip Actalis) lettore digicom scr-01

Messaggio da magozurlinux »

Ho dato questo comando:

Codice: Seleziona tutto

locate opensc-pkcs11.so
/usr/lib/i386-linux-gnu/opensc-pkcs11.so
ho provato a cambiare modulo (libaseCnsP11.so) ed ho usato opensc-pkcs11.so; ho messo quel percorso in Firefox, ho chiuso Firefox, ho inserito il lettore nella porta usb; ho avviato Firefox, ho inserito la tessera sanitaria, il led del lettore ha iniziato a lampeggiare e poi è diventato verde fisso, sono andato nella pagina della Regione Toscana, si è aperta una finestra per inserire il PIN; ho inserito il PIN è apparso il Certificato e poi sono andato nel mio FSE; tutto regolare, ha visualizzato tutti i miei dati.

Io sto usando la 14.04 LTS 32bit forse è un bug della 16.04 LTS.

Segui questa guida:

http://www.dnax.it/usare-il-lettore-di- ... tan-172844
Xubuntu 20.04 LTS amd64 :ciao:
Scrivi risposta

Ritorna a “Driver e periferiche”

Chi c’è in linea

Visualizzano questa sezione: tubbadu e 13 ospiti